$mobile-header-height: 60px
.the-header
  &-head
    text-align: center
    button
      background: none
      border: none
      color: $black
      &:hover
        opacity: 1
        color: $link-hover
      +mobile
        padding: 0
    .nav
      width: 100%
      +mobile
        position: relative
        z-index: 9
        &-left, &-center, &-right
          padding: 0.75rem 1rem
        &-left
          display: flex
          align-items: center
          justify-content: flex-start
        &-center
        &-right
          display: flex
          align-items: center
          justify-content: flex-end
    &-logo
      h1
        margin-bottom: 0
        margin-top: 0
      a
        display: block
        font-size: $size-3
        color: $c-black
        line-height: 1
        +tablet
          padding-top: 2rem
          padding-bottom: 1rem
        img
          max-width: 200px
          +mobile
            max-height: 25px
  &-body
  &-foot

.the-header-menu
  width: 100%
  font-size: $size-8
  text-transform: uppercase
  a
    text-decoration: none
    padding: 1em 3em
    display: block
  i.i-icon.down
    height: 11px
    width: 11px
    font-size: 11px
    margin-left: 0.5em
  ul
    list-style: none
    box-sizing: border-box
    margin: 0
  li
    box-sizing: border-box
    display: block
    margin-top: 0
  > ul
    display: flex
    align-items: center
    justify-content: center
    position: relative
    padding: 0
    > li
      > a
        color: $c-black
      > ul, .submenu-no-children
        +trans
        background: $c-black
        display: flex
        justify-content: center
        left: 0
        opacity: 0
        padding: 2.5em
        position: absolute
        visibility: hidden
        width: 100%
        z-index: 8
        &.is-active
          visibility: visible
          opacity: 1
        a
          color: $c-white
          +tablet
            &:hover
              text-decoration: underline
        > li
          width: 25%
          +tablet
            max-width: 200px
          // All links in the black box
          a
            padding: 0.5em
            display: block
            +trans
          // The title
          > a
            font-size: $size-6
            font-weight: 400
            letter-spacing: 2px
            text-transform: uppercase
          // The column menu
          > ul
  .submenu-no-children
    display: block
    width: 100%
    box-sizing: border-box
    .submenu-no-children-columns
      columns: 4
    a
      padding: 0.5em
  &-extras

+mobile
  .mobile-cart, .mobile-menu-toggle
    display: block
  .the-header
    a
      text-align: center
    &-head
      display: flex
      align-items: center
      justify-content: space-between
    &-menu
      +trans
      background: $c-black
      height: calc(100% - #{$mobile-header-height})
      left: 0
      opacity: 0
      padding-top: 1.5em
      padding-bottom: 1.5em
      position: fixed
      top: 0
      transform: translateY(calc(-100% - #{$mobile-header-height}))
      visibility: hidden
      width: 100%
      z-index: 8
      overflow-y: scroll
      > ul, ul > ul, .submenu-no-children
        display: block
      ul, a
        padding: 1em
      ul li a
        color: $c-white
      li
        display: block
        width: 100% !important
      .submenu-no-children
        .submenu-no-children-columns
          columns: inherit
      .has-submenu.has-inner-submenu
        > a
          display: none
        > ul
          opacity: 1
          visibility: visible
          display: block
      .inner-submenu
        display: none
      .submenu, .inner-submenu
        position: static
      .inner-submenu
        padding-top: 0
        &.is-active
          display: block
      > ul > li > .submenu-no-children
        padding: 0 1em 1em
        position: static
        display: none
        &.is-active
          display: block
      .has-inner-submenu
        > a
          font-size: $size-8 !important
          padding: 1em !important
          letter-spacing: 0 !important
        .submenu
          padding-top: 0
          padding-bottom: 0
      a[data-handle=men], a[data-handle=women]
        &:before
          display: inline
          content: "Shop"
      &.is-fullscreen
        visibility: visible
        opacity: 1
        transform: translateY($mobile-header-height)

.drawer
  +trans
  background: $c-white


+mobile
  .drawer
    max-width: 100%
  .drawer--right
    width: 100%
    right: -100%
    border-left: 1px solid #e9e9e9
  .js-drawer-open-right
    .drawer--right
      display: block
      transform: translateX(-100%)

.search-toggle
  +tablet
    margin-right: -1em
